# Record Class MText

java.lang.Object
java.lang.Record
com.io7m.montarre.api.MText

Record Components:
  `language` - The language
  `text` - The text

public record MText(MLanguageCode language, String text) extends Record
A string in a specific language.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MText(MLanguageCode language, String text)`
  A string in a specific language.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `MLanguageCode`
  `language()`
  Returns the value of the `language` record component.
  `String`
  `text()`
  Returns the value of the `text` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MText

    public MText(MLanguageCode language, String text)
    A string in a specific language.
    Parameters:
      `language` - The language
      `text` - The text

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### language

    public MLanguageCode language()
    Returns the value of the `language` record component.
    Returns:
      the value of the `language` record component

  - ### text

    public String text()
    Returns the value of the `text` record component.
    Returns:
      the value of the `text` record component